Bug 170419 - nfs cacheing is inconsistent between client and server
nfs cacheing is inconsistent between client and server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On: 168572 181326
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 11:41 EDT by david
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david 2005-10-11 11:41:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; ntlworld v2.0)

Description of problem:
I have a nfs server which shares out a directory rw to 4 nfs clients. The clients mount the directory rw. Quite frequently one of the clients will update ont of the files it has mounted, and the changes do not flow through to the server, and onto the other clients. The inconsistancies are not resolved until the nfs share is unmounted, and then remounted by all clients.

It appears that the cache gets updated on the clients, but not on the servers.



Version-Release number of selected component (if applicable):
2.4.21-9.0.1.ELsmp #1 and nfs-utils-1.0.6-7.EL

How reproducible:
Sometimes

Steps to Reproduce:
1.mount nfs share over several clients.
2.update several files on one of the clients.
3.compare the contents of the files through the clients.
  

Actual Results:  The files had the same timestamp, atime and mtime, but had different contents. They are html files, and when browsing direct to the clients different results are viewed.

Expected Results:  Both html pages should be the same.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:53:11 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.